> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deployment by ID

> Get a deployment record by its unique ID.



## OpenAPI

````yaml https://agentex.dev-sgp.scale.com/openapi.json get /deployment-history/{deployment_id}
openapi: 3.1.0
info:
  title: Agentex API
  version: 0.1.0
servers: []
security: []
paths:
  /deployment-history/{deployment_id}:
    get:
      tags:
        - Deployment History
      summary: Get Deployment by ID
      description: Get a deployment record by its unique ID.
      operationId: get_deployment_by_id_deployment_history__deployment_id__get
      parameters:
        - name: deployment_id
          in: path
          required: true
          schema:
            type: string
            title: Deployment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentHistory'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeploymentHistory:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier of the deployment record
        agent_id:
          type: string
          title: Agent Id
          description: The ID of the agent this deployment belongs to
        author_name:
          type: string
          title: Author Name
          description: Name of the commit author
        author_email:
          type: string
          title: Author Email
          description: Email of the commit author
        branch_name:
          type: string
          title: Branch Name
          description: Name of the branch
        build_timestamp:
          type: string
          format: date-time
          title: Build Timestamp
          description: When the build was created
        deployment_timestamp:
          type: string
          format: date-time
          title: Deployment Timestamp
          description: When this deployment was first seen in the system
        commit_hash:
          type: string
          title: Commit Hash
          description: Git commit hash for this deployment
      type: object
      required:
        - id
        - agent_id
        - author_name
        - author_email
        - branch_name
        - build_timestamp
        - deployment_timestamp
        - commit_hash
      title: DeploymentHistory
      description: API schema for deployment history.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````